package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
import ${basePackage}.frame.base.BaseEntity;

/**
 * USER - 用户
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("用户")
public class User extends BaseEntity {

    /**
     * USER_NAME - 用户账户
     */
    @ColumnName("用户账户")
    @ColumnDescription("")
    private String userName;
    /**
     * USER_CODE - 用户代码
     */
    @ColumnName("用户代码")
    @ColumnDescription("")
    private String userCode;
    /**
     * USER_ALIAS - 用户别名
     */
    @ColumnName("用户别名")
    @ColumnDescription("")
    private String userAlias;
    /**
     * USER_PWD - 用户密码
     */
    @ColumnName("用户密码")
    @ColumnDescription("")
    private String userPwd;
    /**
     * USER_STATUS - 用户状态
     */
    @ColumnName("用户状态")
    @ColumnDescription("")
    private String userStatus;
    /**
     * DEPT_ID - 部门主键
     */
    @ColumnName("部门主键")
    @ColumnDescription("")
    private Long deptId;
    /**
     * DEPT_CODE - 部门代码
     */
    @ColumnName("部门代码")
    @ColumnDescription("")
    private String deptCode;
    /**
     * DEPT_NAME - 部门名称
     */
    @ColumnName("部门名称")
    @ColumnDescription("")
    private String deptName;

    private String roleNames;

    private String roleCodes;

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserAlias() {
        return this.userAlias;
    }

    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias;
    }

    public String getUserPwd() {
        return this.userPwd;
    }

    public void setUserPwd(String userPwd) {
        this.userPwd = userPwd;
    }

    public String getUserStatus() {
        return this.userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public Long getDeptId() {
        return this.deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRoleNames() {
        return this.roleNames;
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    public String getRoleCodes() {
        return roleCodes;
    }

    public void setRoleCodes(String roleCodes) {
        this.roleCodes = roleCodes;
    }
}